[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpWait

Wait for a child to exit.

## Declaration

Source position: bunxh.inc line 67

`function FpWait(`
`var stat_loc: cint`
`):TPid;`

## Description

fpWait suspends the current process and waits for any child to exit or stop due to a signal. It reports the exit status of the exited child in stat_loc.

The return value of the function is the process ID of the child that exited, or -1 on error.

## Errors

Extended error information can be retrieved using fpgetErrno.

## See also

fpFork |  | Create child process
fpExecve |  | Execute process using environment
fpWaitPid |  | Wait for a process to terminate